public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mini_mime/
Date: Mon, 11 Oct 2021 05:34:37 +0000 (UTC)	[thread overview]
Message-ID: <1633930454.d4b8bd7ca4d3d14b75b90150f314852c1858ad65.graaff@gentoo> (raw)

commit:     d4b8bd7ca4d3d14b75b90150f314852c1858ad65
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 11 05:34:14 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Oct 11 05:34:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4b8bd7c

dev-ruby/mini_mime: add 1.1.2

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/mini_mime/Manifest               |  1 +
 dev-ruby/mini_mime/mini_mime-1.1.2.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ruby/mini_mime/Manifest b/dev-ruby/mini_mime/Manifest
index 57283a0049d..cc2ca084921 100644
--- a/dev-ruby/mini_mime/Manifest
+++ b/dev-ruby/mini_mime/Manifest
@@ -1,2 +1,3 @@
 DIST mini_mime-1.0.3.tar.gz 33554 BLAKE2B 7be4a7b8ee066a1106a42ff28ab57684460d061dc9205a992af471f5e9024be080388451f6f0d171c09b96f53c4748c9490afcfa23a82f478c5e96b559c8c97d SHA512 d8259b81821d35ddb8f9038ad2f672816f20e098ff74d8245fdc2a8a6e4be6918b865a25372348ef8dd777483883238919293a683df064d15ac7045f9b40bb0e
 DIST mini_mime-1.1.1.tar.gz 33747 BLAKE2B 2b18012d611157c1ace9211e99f2c6b41931a932ed9161b24367def3bf70d5780287a0b855ac32aae202e32a1158d08c7004515841e3baa1a2789d296bdf928e SHA512 b59e5d5a94b80eae62c9be2722e2fa8306620e8b4f54e3c7d020961a89b3d796e26b18a92b6da29677c3822ab68783874486cd1080ca552c9c2fcd3acb13811f
+DIST mini_mime-1.1.2.tar.gz 33779 BLAKE2B acf4fc7bbaf4bb9df9a35aa8f093f3f607b0f57296f29511aa4d0cc8770af3c959f6c2b4e49d0e879dea6145e42a33f02d98a1f54af5f48cb248b95b3f6fa410 SHA512 696d0ddf69ba58671ff8a378e6d8bd302aa5b402f791f090b4d5413f48b90cf19de447d68942a4cdc329f4d42210bd62bf4757c1f226df5129cb269c0004a332

diff --git a/dev-ruby/mini_mime/mini_mime-1.1.2.ebuild b/dev-ruby/mini_mime/mini_mime-1.1.2.ebuild
new file mode 100644
index 00000000000..e63c0445e32
--- /dev/null
+++ b/dev-ruby/mini_mime/mini_mime-1.1.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="mini_mime.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A lightweight mime type lookup toy"
+HOMEPAGE="https://github.com/discourse/mini_mime"
+SRC_URI="https://github.com/discourse/mini_mime/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/ s:^:#:' Rakefile || die
+	sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Avoid comparison with MIME::Types because types may vary over time
+	# as they get reclassified leading to random harmless failures.
+	sed -i -e '/test_full_parity_with_mime_types/askip "gentoo"' test/mini_mime_test.rb || die
+}


             reply	other threads:[~2021-10-11  5:34 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-11  5:34 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-21 13:22 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mini_mime/ Sam James
2024-07-21 13:22 Sam James
2024-07-21 13:22 Sam James
2024-07-21 12:55 Jakov Smolić
2024-07-21 12:42 Sam James
2023-12-27 19:41 Hans de Graaff
2023-12-27 19:41 Hans de Graaff
2023-12-08 14:24 Arthur Zamarin
2023-10-29  8:26 Hans de Graaff
2023-08-09  4:38 Hans de Graaff
2023-03-26  7:19 Hans de Graaff
2023-03-26  7:19 Hans de Graaff
2022-05-01  8:38 Hans de Graaff
2022-03-16  6:41 Hans de Graaff
2021-10-11  5:34 Hans de Graaff
2021-09-07 21:28 Marek Szuba
2021-08-24  5:59 Hans de Graaff
2021-08-24  5:59 Hans de Graaff
2021-04-10  6:17 Hans de Graaff
2021-03-26  7:04 Hans de Graaff
2021-03-26  7:04 Hans de Graaff
2021-01-26 15:52 Hans de Graaff
2020-08-08  8:07 Hans de Graaff
2020-05-31  8:09 Hans de Graaff
2020-05-05 10:01 Hans de Graaff
2020-04-21 21:06 Sergei Trofimovich
2020-01-27  6:40 Hans de Graaff
2019-11-03  7:46 Hans de Graaff
2019-07-09  5:01 Hans de Graaff
2019-07-09  5:01 Hans de Graaff
2019-01-21  6:49 Hans de Graaff
2018-12-11  8:54 Hans de Graaff
2018-01-14  8:24 Hans de Graaff
2018-01-14  8:24 Hans de Graaff
2018-01-14  8:24 Hans de Graaff
2018-01-14  8:24 Hans de Graaff
2017-12-25 11:42 Markus Meier
2017-12-24  8:49 Markus Meier
2017-12-22  5:20 Markus Meier
2017-12-19 18:44 Fabian Groffen
2017-11-19 19:51 Thomas Deutschmann
2017-11-10  6:57 Hans de Graaff
2017-11-09  7:38 Sergei Trofimovich
2017-11-08  6:37 Hans de Graaff
2017-11-02 22:52 Sergei Trofimovich
2017-11-01  5:24 Hans de Graaff
2017-08-12  5:14 Hans de Graaff
2017-08-05  6:14 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1633930454.d4b8bd7ca4d3d14b75b90150f314852c1858ad65.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox